<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>jQuery UI Example Page</title>

		<script type="text/javascript" src="jquery-1.7.2.min.js"></script>
		<script type="text/javascript" src="qtip/jquery.qtip.min.js"></script>
		<link rel="stylesheet" type="text/css" href="qtip/jquery.qtip.css">
		<link rel="stylesheet" type="text/css" href="css/pls.css">
		<script type="text/javascript">

;(function($) {

    $.fn.extend({
        audioplayer: function(arg,options) {

            if (options && typeof(options) == 'object') {

                options = $.extend( {}, $.audioplayer.defaults, options );
            } else {
				options = $.audioplayer.defaults;
			}
			

            // this creates a plugin for each element in
            // the selector or runs the function once per
            // selector.  To have it do so for just the
            // first element (once), return false after
            // creating the plugin to stop the each iteration 
            this.each(function() {
	
                new $.audioplayer(this, options, arg );
            });
            return;
        }
    });

    $.audioplayer = function( elem,options,arg) {

        if (arg && typeof(arg) == 'string') {
           if (arg == 'init') {
               init( arg );
           }
           else if (arg == 'remove') {
               remove( arg );
           }
           return;
        }

        /*...normal plugin actions...*/

        function init(arg)
        {
			var isload = {};
    		var container = $(elem);
			
			var isIE = !!document.all && document.uniqueID;
			var isChrome  = false;
			var btfound = 0; browser_detect = navigator.userAgent.toLowerCase();
			if(browser_detect.indexOf("chrome") + 1) isChrome = true;
			
			if(options.t == 'w') {
				text = 'Выбран женский голос';
				var tclass = 'qtip-light';
				var _sclass = '_w';
			} else {
				text = 'Выбран мужской голос';
				var tclass = 'qtip-light-men';
				var _sclass = '_m';
			}
			i = container.index('.player');

			
			
			$('.radio'+_sclass,container).qtip({
					content: text ,
					show: {
						event: 'click'
					},
					hide: {
						event: false
	
					},
					position: {       
						my: 'bottom center',  // Position my top left...
						at: 'top center', // at the bottom right of...
					   
					},
				   style: 
				   {
					width:'170px',
					height:'30px',
					
					classes: tclass + ' qtip-rounded',
					tip: {
						corner: true,
						color: 'cadceb'
						}
					}
			});
			// по умолчанию первый включен
			if(i == 0) {
				$('.player:eq(0)').find('div[data-hasqtip="true"]')
				.removeClass('radionoactive'+_sclass).addClass('radioactive'+_sclass).qtip('show');
			}
			var api = $('.radio'+_sclass,container).qtip('api');

			if(isIE || isChrome) {
				ext = 'mp3';
			} else {
				ext = 'ogg';	
			}
			container.append('<audio preload="metadata" class="track" src="'+options.file+'.'+ext+'"><p>Your browser does not support the audio element</p></audio>');
			$('.player:eq(0)').find('audio').addClass('aa');
			$('.player:eq(0)').find('div[data-hasqtip="true"]')
			if(i == 0) {
		
				acteviHidden(_sclass);
			}
			
	
			
			var audio = $(elem).find('audio')[0];
			

					$('.track',container).bind('progress', function(e) {
						  var ranges = [];
						  for(var i = 0; i < audio.buffered.length; i ++)
						  {
							ranges.push([
							  audio.buffered.start(i),
							  audio.buffered.end(i)
							  ]);
						  }
						  d = audio.duration / 100;

						
						//$('.bar .tracktime span',container).hide();
						//now iterate through the ranges and convert each set of timings
						//to a percentage position and width for the corresponding span
						allbufer = 0;
						for(var i = 0; i < audio.buffered.length; i ++)
						{
							allbufer += ranges[i][1]-ranges[i][0];
							 
						}
						 //console.log(allbufer);
						 						  
						  per = Math.floor(allbufer / d);
						  if(per > 0) {
							  per  = (per > 100) ? per ==100 : per;
								$('.bar .progress'+_sclass+' span',container).text(per+" %");			  
						  }
					});
					$('.track',container).bind('playing', function(e) {
						
						
						$('.bar .tracktime span',container).show();


					});	

				// Is the player currently seeking?
				$('.track',container).bind('timeupdate', function() {
					if(isload.clickoffset) 
					{
						$('.progress'+_sclass,container).trigger('click');
						isload.clickoffset = false;
						return;
					}

					$('.tracktime',container).show();
					var time = this.duration - this.currentTime;
					
					var m = Math.floor(time / 60);
					var s = Math.floor(time - (m * 60));
					if(s < 10) s = '0'+s;
					if(m < 10) m = '0'+m; 
					$('.tracktime span',container).text( m +':'+ s);
					var step = 250 / this.duration;
					$('.bar .progress'+_sclass+' .line'+_sclass,container).width((Math.floor(this.currentTime) * step)+'px');
		
					if(Math.floor(this.duration) == Math.floor(this.currentTime)) {
						
						$('.playbut'+_sclass,container).removeClass('stop'+_sclass).addClass('play'+_sclass);
						$('.progress'+_sclass+' .line'+_sclass,container).width(0);
						$('.progress'+_sclass+' .tracktime',container).hide();
					}
				});
				
				$('.playbut'+_sclass,container).bind('click', function() {
					acteviHidden(_sclass);
					$('audio').removeClass('aa');
					$('audio',container).addClass('aa');
					$('audio:not(".aa")').closest('.player').find('div[data-hasqtip="true"]').qtip('hide');
					var api = $('.radio'+_sclass,container).qtip('api');
					if($(this).hasClass('stop'+_sclass)) {
						
						$(this).removeClass('stop'+_sclass).addClass('play'+_sclass);
						$('audio',container)[0].pause(); // jumps to 29th secs	

					} else {
						var apiall = $('.radio'+_sclass).qtip('api');

						$(this).removeClass('play'+_sclass).addClass('stop'+_sclass);

					
							$('audio:not(".aa")').each(function(index, element) {
								element.pause();
								if(element.currentTime) {
                            		element.currentTime = 0; 
								}
								$(this).siblings('.playbut_w').removeClass('stop_w').addClass('play_w');
								$(this).siblings('.playbut_m').removeClass('stop_m').addClass('play_m');
                            });
							$('.radio'+_sclass,container).addClass('radioactive'+_sclass);
							
							$('.radio_m').removeClass('radioactive_m');
							$('.radio_w').removeClass('radioactive_w');
							$('.radio_m').addClass('radionoactive_m');
							$('.radio_w').addClass('radionoactive_w');

						$('.radio'+_sclass,container).removeClass('radionoactive'+_sclass).addClass('radioactive'+_sclass);

							$('.bar .tracktime span').hide();

							$('audio',container)[0].play(); // jumps to 29th secs
							$('.tracktime',container).removeClass('loadm');
							api.show();
						
						
					}
			
				});
				
				$('.progress'+_sclass,container).bind('click', function(event) {
				
					duration = audio.duration;
					//get the position of the event
					
					clientX = event.clientX;
					left = event.currentTarget.offsetLeft;
					clickoffset = clientX - left;
					if(isload.clickoffset) clickoffset = isload.clickoffset;
					percent = clickoffset/event.currentTarget.offsetWidth;
					duration_seek = percent*duration;
					if($('audio',container)[0].currentTime) {
						$('audio',container)[0].currentTime = duration_seek;
					} else {
						isload.clickoffset = clickoffset;	
						
						$('.bar .progress'+_sclass+' .line'+_sclass,container).width(clickoffset+'px');
					}
					
	
				  	//document.getElementById('track').currentTime = duration_seek; // jumps to 29th secs
				    
					//document.getElementById('track').play(); // jumps to 29th secs
			
				});
				
				$('.radio'+_sclass,container).bind('click', function() {
					r = $(this); 
					acteviHidden(_sclass);
				
					$('audio').removeClass('aa');
					$('audio',container).addClass('aa');
						$('audio:not(".aa")').closest('.player').find('.radio_w,.radio_m').qtip('hide');
						$('audio:not(".aa")').closest('.player').find('.playbut_w').removeClass('stop_w').addClass('play_w');
						$('audio:not(".aa")').closest('.player').find('.playbut_m').removeClass('stop_m').addClass('play_m');
							
						if(r.hasClass('radionoactive'+_sclass)) {
							$('.radio_w,.radio_m').removeClass('radioactive_w');
							$('.radio_w,.radio_m').removeClass('radioactive_m');
	

							$('.playbut'+_sclass,container).removeClass('play'+_sclass).addClass('stop'+_sclass);

							$('.radio_w').addClass('radionoactive_w');
							$('.radio_m').addClass('radionoactive_m');
							
							
							$('audio:not(".aa")').each(function(index, element) {
						
								element.pause();
                            	element.currentTime = 0;    
                            });
							
					
							
							
							$('audio',container)[0].play(); // jumps to 29th secs
							r.removeClass('radionoactive'+_sclass).addClass('radioactive'+_sclass);
							$('.bar .tracktime span').hide();
							$('.tracktime').removeClass('loadm');

						} 
						
					});
        }
		
        function acteviHidden(type)
        {
			type = type.substr(1,1);	
			$('.conteinerofplayer input[name="voicetype"]').remove();
			var hidden = $('<input>',{name:'voicetype',value:type,type:'hidden'});
			$('.conteinerofplayer').append(hidden);	
			
		}

    };

    $.audioplayer.defaults = {
		bgColor 		: '#000',
		duration		: 800,
		opacity			: 0.6,
		classOveride 	: false
    };

})(jQuery);

		
			$(function(){
				
				$('.m').audioplayer('init',{file:'250_m',t:'m'});
				$('.w').audioplayer('init',{file:'250_w',t:'w'});
				//$('.m2').audioplayer('init',{file:'shakira',t:'m'});

			});
			
		</script>
		<style type="text/css">
			
		</style>	
	</head>
	<body>

<form action="index.php" method="POST">
<div class="conteinerofplayer">

    
 

    <div class="player m">
        <div class="playbut_m">
    
        </div>
        <div class="bar">
          <div class="progress_m">
                <span></span>
                <div class="line_m">
    
                </div>
            </div>
            <div class="tracktime">
                <span></span>
            </div>
        </div>
        <div class="radionoactive_m radio_m">
    
        </div>
    
    </div>
    
   <div class="player w">
        <div class="playbut_w">
    
        </div>
        <div class="bar">
          <div class="progress_w">
                <span></span>
                <div class="line_w">
    
                </div>
            </div>
            <div class="tracktime">
                <span></span>
            </div>
        </div>
        <div class="radionoactive_w radio_w">
    
        </div>
    
    </div>

    <!--
      <div class="player m2">
        <div class="playbut_m">
    
        </div>
        <div class="bar">
          <div class="progress_m">
                <span></span>
                <div class="line_m">
    
                </div>
            </div>
            <div class="tracktime">
                <span></span>
            </div>
        </div>
        <div class="radionoactive_m radio_m">
    
        </div>
    
    </div>
    -->
</div>
<input type="submit" value="submit">
</form>
<?
/*
	print '<pre>';
	print_r($_REQUEST);
	print '<pre>';
*/
?>
</body>
</html>


